mui.init();
var favoriteStatus = "";
var group_id = "";
var coordinate = '';
var ui = {
	companyFavorite: document.querySelector(".icon-favorite"),
	companyShare: document.querySelector(".icon-fenxiang"),
	companyName: document.querySelector("#p5-company-details-name"),
	companyCreateTime: document.querySelector("#time"),
	businessName: document.querySelector("#p5-company-details-companyInfo-businessName"),
	companyLinkman: document.querySelector("#p5-company-details-companyInfo-linkman"),
	companyCellphone: document.querySelector("#p5-company-details-companyInfo-cellphone"),
	companyDescribe: document.querySelector("#p5-company-details-companyInfo-describe p"),
	companyDescribeImg: document.querySelector("#p5-company-details-companyInfo-describe img"),
	companyAddress: document.querySelector("#addressStr"),
	companyProductsImg: document.querySelector("#p5-company-details-products-img img"),
	//			companyToProductsAll: document.querySelector("#p5-company-details-toallproduct a"),
};
setTimeout(function() {
	ui.companyAddress.onclick = allEvent;
	ui.companyShare.onclick = allEvent;
	ui.companyFavorite.onclick = allEvent;
	//			ui.companyToProductsAll.onclick = allEvent;
}, 300);
var allEvent = function(e) {
	if (this.getAttribute('name') == "favorite") {
		addAndRemoveFavorite(group_id);
	} else if (this.getAttribute('name') == "share") {
		if(fenxiang && COMPANY){
			shareHref();
		}
	} else if (this.getAttribute('name') == "map") {
		changePage("map.html", true, false, {
			coordinate: coordinate,
			group_id: group_id
		})
	} else {
		console.log(this.getAttribute('name'))
	}
};
var addAndRemoveFavorite = function(e) {
	if (favoriteStatus) {
		favoriteStatus = false;
		mui.ajax(BASE_URL + 'unlike_group', {
			data: {
				token: getState().token,
				group_id: e,
			},
			type: 'post',
			dataType: 'json',
			timeout: 15000,
			success: favoriteBtnStatus,
			error: function(xhr, type, errorThrown) {
				error_code_handle(xhr, type, errorThrown);
			}
		});
	} else {
		favoriteStatus = true;
		mui.ajax(BASE_URL + 'like_group', {
			data: {
				token: getState().token,
				group_id: e,
			},
			type: 'post',
			dataType: 'json',
			timeout: 15000,
			success: favoriteBtnStatus,
			error: function(xhr, type, errorThrown) {
				error_code_handle(xhr, type, errorThrown);
			}
		});
	}
};
var getGroupInfo = function() {
	var ws = plus.nativeUI.showWaiting();
	mui.ajax(BASE_URL + "group_info", {
		data: {
			group_id: group_id,
			token: getState().token || "",
		},
		type: "get",
		dataType: "json",
		timeout: 0,
		success: function(data) {
			coordinate = data.latitude + '_' + data.longitude;
			ui.companyName.innerText = data.name;
			ui.businessName.innerText = data.name;
			ui.companyCellphone.innerText = data.cellphone;
			ui.companyLinkman.innerText = data.contact;
			ui.companyDescribe.innerHTML = data.description;
			ui.companyDescribeImg.src = STATIC_URL + data.image + ".jpeg";
			ui.companyAddress.innerText = data.address;
			if (data.is_favorite) {
				ui.companyFavorite.style.color = "#E64143";
				favoriteStatus = data.is_favorite
			} else {
				ui.companyFavorite.style.color = "white";
				favoriteStatus = data.is_favorite
			}
			document.querySelector('#p5-company-details-box').classList.remove('mui-hidden');
			ws.close();
		},
		error: function(xhr, type, errorThrown) {
			ws.close()
			error_code_handle(xhr, type, errorThrown);
		}
	})
}
var favoriteBtnStatus = function(data) {
	if (!favoriteStatus) {
		mui.toast("取消收藏!")
		ui.companyFavorite.style.color = "white";
		mui.fire(plus.webview.getWebviewById("favorite_list.html"), 'upContentList', {
			whereGoTo: 'favorite_products',
			btn: 'p5-top-groups'
		});
	} else {
		mui.toast("收藏成功!")
		ui.companyFavorite.style.color = "#E64143";
		mui.fire(plus.webview.getWebviewById("favorite_list.html"), 'upContentList', {
			whereGoTo: 'favorite_products',
			btn: 'p5-top-groups'
		});
	}
};
// 分析链接
var shareHref = function() {
	var ids = [{
		id: "weixin",
		ex: "WXSceneSession"
	}, {
		id: "weixin",
		ex: "WXSceneTimeline"
	}, {
		id: "qq",
		ex: "QQSceneSession"
	}];
	var bts = [];
	if (plus.os.name == "iOS") {
		ids = [{
			id: "qq",
			ex: "QQSceneSession"
		}];
		bts.push({
			title: "分享到腾讯QQ"
		});
	} else {
		bts = [{
			title: "发送给微信好友"
		}, {
			title: "分享到微信朋友圈"
		}, {
			title: "分享到腾讯QQ"
		}];
	}
	plus.nativeUI.actionSheet({
			cancel: "取消",
			buttons: bts
		},
		function(e) {
			var i = e.index;
			if (i > 0) {
				shareAction(ids[i - 1].id, ids[i - 1].ex);
			}
		}
	);
};
/**
 * 更新分享服务
 */
var updateSerivces = function() {
	plus.share.getServices(function(s) {
		shares = {};
		for (var i in s) {
			var t = s[i];
			shares[t.id] = t;
		}
	}, function(e) {});
};
/**
 * 分享操作
 * @param {String} id
 */
var shareAction = function(id, ex) {
	var s = null;
	if (!id || !(s = shares[id])) {
		return;
	}
	if (s.authenticated) {
		shareMessage(s, ex);
	} else {
		s.authorize(function() {
			shareMessage(s, ex);
		}, function(e) {});
	}
};
/**
 * 发送分享消息
 * @param {plus.share.ShareService} s
 */
var shareMessage = function(s, ex) {
	var msg = {
		extra: {
			scene: ex
		}
	};
	msg.href = URL + 'group_info?group_id='+group_id.split('_')[1];
	msg.title = ui.companyName.innerText;
	msg.content = ui.companyDescribe.innerText;
	msg.thumbs = [ui.companyDescribeImg.src];
	s.send(msg, function() {
		mui.toast("分享到\"" + s.description + "\"成功！ ");
	}, function(e) {
		mui.toast("分享到\"" + s.description + "\"失败: " + e.code + "\nMessage: " + e.message);
	});
}

mui.plusReady(function() {
	if(fenxiang && COMPANY){
		document.querySelector('.icon-fenxiang').style.display = 'inherit';
		// 分享服务
		updateSerivces();
	}else {
		document.querySelector('.icon-fenxiang').style.display = 'none';
	}
	group_id = plus.webview.currentWebview().group_id.split("_")[1];
	getGroupInfo();
});