mui.init({
	swipeBack: true //启用右滑关闭功能
})
var address_id = null;
var overallMoney = [];
var productOverAllCount = [];
var fromData = null;
var isCreate = null;
var from = '';
var transaction_id = "";

var ui = {
	//收件人姓名
	LinkmanName: document.querySelector("#p5-firmOrder-linkman-name"),
	//收件人电话
	LinkmanCellphone: document.querySelector("#p5-firmOrder-linkman-cellphone"),
	//收件人收件地址
	LinkmanAddress: document.querySelector("#p5-firmOrder-linkman-address-options"),
	//商品列表
	ProductList: document.querySelector("#p5-firmOrder-product-list-box div:last-child ul"),
	//输出总商品数量
	ProductViewCount: document.querySelector('#p5-firmOrder-Allproduct-Box-count'),
	//输出合计金额
	ProductViewMoney: document.querySelector("#p5-firmOrder-Allproduct-money"),
	//footer的总金额
	FooterAllMoney: document.querySelector("#aggregate"),
	//footer确认Button
	FooterConfirmBtn: document.querySelector(".mui-tab-label"),
}
var getUserInfo = function() {
	var ws = plus.nativeUI.showWaiting("", {
		back: "none"
	});
	mui.ajax(BASE_URL + "user_info", {
		data: {
			token: getState().token
		},
		type: "get",
		dataType: "json",
		timeout: 0,
		success: function(data) {
			if (data.address.length != 0) {
				for (var i = 0; i < data.address.length; i++) {
					var option = document.createElement("option");
					if (data.address[i].is_default != 1) {
						if (i == 0) {
							ui.LinkmanName.innerText = data.address[i].receiveing_name;
							ui.LinkmanCellphone.innerText = data.address[i].receiveing_cellphone;
						}
						option.className = "mui-ellipsis";
						option.setAttribute("value", data.address[i].receiveing_id + "_" + data.address[i].receiveing_cellphone + "_" + data.address[i].receiveing_name);
						option.innerText = data.address[i].receiveing_address;
						ui.LinkmanAddress.appendChild(option);
					} else {
						ui.LinkmanName.innerHTML = data.address[i].receiveing_name;
						ui.LinkmanCellphone.innerHTML = data.address[i].receiveing_cellphone;
						option.className = "mui-ellipsis";
						option.setAttribute("value", data.address[i].receiveing_id + "_" + data.address[i].receiveing_cellphone + "_" + data.address[i].receiveing_name);
						option.innerText = data.address[i].receiveing_address;
						address_id = data.address[i].receiveing_id;
						ui.LinkmanAddress.insertBefore(option, ui.LinkmanAddress.firstChild);
					}
				}
				ws.close();
			} else {
				ws.close();
				if (confirm("您还未设置收货地址，是否去添加收货地址。")) {
					changePage("delivery_append.html", true, false, {});
				}
			}
		},
		error: function(xhr, type, errorThrown) {
			ws.close();
			error_code_handle(xhr, type, errorThrown);
		}
	});
}
var outputProductList = function(fromData) {
	var ws = plus.nativeUI.showWaiting("", {
		back: "none"
	});
	var Value = [];
	var count = 0;
	var ListIsCompleted = false;
	for (var i = 0; i < fromData.elements.length; i++) {
		Value[i] = fromData.elements[i].value;
		mui.ajax(BASE_URL + "product_info", {
			data: {
				product_id: fromData.elements[i].key,
			},
			type: "get",
			dataType: "json",
			timeout: 15000,
			success: function(data) {
				var li = document.createElement('li');
				li.style.borderBottom = "solid 1px #EFEFF4";
				li.style.marginBottom = "5px";
				li.innerHTML = '<img src="data:image/jpeg;base64,' + data.thumbnail + '" />' +
					'<div class="p5-productname mui-ellipsis">' +
					'<span style="width: 100%;" class="mui-ellipsis">' + data.name + '</span><span id="p5-firmOrder-product-mmm">￥：<span id="p5-firmOrder-product-money">' + data.price + '</span></span>' +
					'<span class="p5-number">x<span id="p5-firmOrder-product-number">' + Value[count] + '</span></span>' +      
					'</div>';    
				ui.ProductList.appendChild(li); 
				count++;
				if (Value.length == count) {
					ListIsCompleted = true;
				}
				setData(ListIsCompleted);
				if (ListIsCompleted) {
					ws.close()
				}
				if(mui.os.ios){
					if (document.querySelector('body').clientWidth <= 320) {
						var pname = document.querySelectorAll('.p5-productname');
						for (var i =0 ; i<pname.length; i++) {
							pname[i].style.width = '81%';
						}
					}
				}
			},
			error: function(xhr, type, errorThrown) {
				error_code_handle(xhr, type, errorThrown);
				ws.close();
			}
		});
	}
};
var outputProduct = function(fromData) {
	var ws = plus.nativeUI.showWaiting("", {
		back: "none"
	});
	var li = document.createElement('li');
	li.style.borderBottom = "solid 1px #EFEFF4";
	li.style.marginBottom = "5px";
	li.innerHTML = '<img src="data:image/jpeg;base64,' + fromData.thumbnail + '" />' +
		'<div class="p5-productname">' +
		'<span class="mui-ellipsis" style="width: 75%;">' + fromData.name + '</span>' + //class="mui-ellipsis" style="width: 50%;"
		'<span id="p5-firmOrder-product-mmm">￥：' +
		'<span id="p5-firmOrder-product-money">' + fromData.price + '</span></span>' +
		'<p>x<span id="p5-firmOrder-product-number">1</span></p>' +
		'</div>';
	ui.ProductList.appendChild(li);
	if(mui.os.ios){
					if (document.querySelector('body').clientWidth <= 320) {
						var pname = document.querySelectorAll('.p5-productname');
						for (var i =0 ; i<pname.length; i++) {
							pname[i].style.width = '81%';
						}
					}
				}
	setTimeout(function() {
		setData(true)
		ws.close();
	}, 100);
};
ui.LinkmanAddress.onchange = function() {
	var excisionResult = this.value.split("_");
	ui.LinkmanName.innerText = excisionResult[2];
	ui.LinkmanCellphone.innerText = excisionResult[1];
	address_id = excisionResult[0];
}
var setData = function(Boolean) {
	if (Boolean) {
		var productMoney = document.querySelectorAll("#p5-firmOrder-product-money");
		var productCount = document.querySelectorAll("#p5-firmOrder-product-number");
		var prix = 0;
		var counts = 0;
		for (var i = 0; i < productMoney.length; i++) {
			overallMoney[i] = parseFloat(productMoney[i].innerText);
			productOverAllCount[i] = parseInt(productCount[i].innerText);
		}
		for (var i = 0; i < overallMoney.length; i++) {
			prix += (overallMoney[i] * productOverAllCount[i]);
			counts += productOverAllCount[i];
		}
		ui.ProductViewCount.innerText = counts.toFixed(0);
		ui.ProductViewMoney.innerText = prix.toFixed(2);
		ui.FooterAllMoney.innerText = prix.toFixed(2);
	}
};
mui.plusReady(function() {
	if (!getState().token) {
		mui.toast("您还没有登录...");
		setTimeout(function() {
			mui.back();
		}, 400)
		return;
	}
	if(mui.os.ios){
		if (document.querySelector('body').clientWidth <= 320) {
			 document.querySelector('#p5-firmOrder-linkman-address-options').style.width = '64%';
		}
	}
	if(paybtn){
		document.querySelector('.wxtd1').style.display = 'inherit';
		document.querySelector('.wxtd2').style.display = 'inherit';
	}else {
		document.querySelector('.wxtd1').style.display = 'none';
		document.querySelector('.wxtd2').style.display = 'none';
	}
	getUserInfo();
	from = plus.webview.currentWebview().from;
	fromData = plus.webview.currentWebview().fromData;
	isCreate = plus.webview.currentWebview().isCreate;
	transaction_id = plus.webview.currentWebview().transaction_id;
	outputProductList(fromData);
});
mui("#p5-firmOrder-payment-method-box").on("tap", "img", function(e) {
	var radios = document.querySelectorAll("#p5-firmOrder-payment-method-box input");
	for (var i = 0; i < radios.length; i++) {
		if (this.name == radios[i].id) {
			radios[i].checked = true;
		} else {
			radios[i].checked = false;
		}
	}
});
ui.FooterConfirmBtn.onclick = function() {
	var url = "";
	var radios = document.querySelectorAll("#p5-firmOrder-payment-method-box input");
	for (var i = 0; i < radios.length; i++) {
		if (radios[i].checked) {
			url = PAY_BASE_URL + radios[i].value;
			channel = radios[i].id;
		}
	}
	var w = null;
	var data = JSON;
	data = JSON.stringify(fromData);
	if (address_id != null) { 
		pay_interface(w, data, url, isCreate, (transaction_id || ''), address_id,from,channel);
	} else {
		if (confirm("您还未设置收货地址，是否去添加收货地址。")) {
			changePage("delivery_append.html", true, false, {});
		}
	}
}
window.addEventListener("upDateUserInfo", function(e) {
	getUserInfo();
});