mui.init({
	preloadLimit: 15,
});
var activeTab = "home.html"
var froms = "";
mui.plusReady(function() {
	var signinView = mui.preload({
		url: 'signin.html',
		id: 'signin.html',
		styles: {
			top: '45px',
			bottom: '50px',
		},
		extras: {
			mType: 'main'
		}
	});
	var hrefs = document.body.querySelectorAll(".mui-bar-tab a");
	for (var i = 0; i < hrefs.length; i++) {
		if (hrefs[i].id != 'home.html') {
			if (hrefs[i].id == 'shopping_cart_frame.html') {
				mui.preload({
					url: hrefs[i].id,
					id: hrefs[i].id,
					styles: {
						top: '45px',
						bottom: '50px',
					},
					extras: {
						mType: 'main'
					}
				});
			} else {
				if (hrefs[i].id == "search_frame.html") {
					mui.preload({
						url: hrefs[i].id,
						id: hrefs[i].id,
						styles: {
							top: '80px',
							bottom: '50px',
						},
						extras: {
							mType: 'main'
						}
					});
				} else {
					mui.preload({
						url: hrefs[i].id,
						id: hrefs[i].id,
						styles: {
							top: '45px',
							bottom: '50px',
						},
						extras: {
							mType: 'main'
						}
					});
				}
			}
		} else {
			var homeView = mui.preload({
				url: hrefs[i].id,
				id: hrefs[i].id,
				styles: {
					top: '45px',
					bottom: '50px',
				},
				extras: {
					mType: 'main'
				}
			});
		}
	}
	setTimeout(function() {
		plus.webview.getLaunchWebview().show();
	}, 200);
	setTimeout(function() {
		title.innerHTML = '首页';
		homeView.show();
		plus.navigator.closeSplashscreen();
		mui.fire(plus.webview.getLaunchWebview(), 'updataTabs');
		if (getState().token) {
			mui.fire(plus.webview.getWebviewById('me.html'), 'updataTabs');
		}
	}, 1000);
	document.getElementById('p5-home-search-value').addEventListener('tap', function() {
		changePage('fuzzy_search_entrance.html');
	});
	mui('.mui-bar-tab').on('tap', 'a', function(e) {
		var targetTab = this.getAttribute('id');
		var targetTitle = this.querySelector('.mui-tab-label').innerText;
		setTimeout(function() {
			switchTo(targetTab, targetTitle);
		}, 100)
	});
	mui('.mui-bar-nav').on('tap', 'span', function() {
		switch (this.id) {
			case 'p5-home-sys':
				changePage('barcode_scan.html',true,true);
				break;
			case 'p5-home-pushbullet':
				changePage('advices.html', true, false);
				break;
		}
	});
	mui("#p5_search_filter_btn_box").on('tap', 'a', function(e) {
		var btns = document.querySelectorAll("#p5_search_filter_btn_box a");
		var reseticon = this.querySelector("span");
		var reseticonAll = document.querySelectorAll("#p5_search_filter_btn_box span");
		mui.fire(plus.webview.getWebviewById("search.html"), "showOrderList", {
			orderFun: this.innerText.trim() || this.getAttribute("value").trim()
		});
	});
	window.addEventListener("resetIcon", function(e) {
		var reseticon = document.querySelector("#showType span");
		if (e.detail.type == "方图") {
			reseticon.classList.remove("icon-unie682");
			reseticon.classList.add("icon-unie67c"); //unie67c 方
		} else {
			reseticon.classList.remove("icon-unie67c");
			reseticon.classList.add("icon-unie682");
		}
	});
});
window.addEventListener("switchTo", function(e) {
	froms = e.detail.from;
	if (froms != "" && froms != undefined) {
		if (froms != 'advices.html' && froms != "home.html" && froms != "search_frame.html" && froms != "shopping_cart_frame.html" && froms != "me.html" && froms != "signin.html") {
			if ("search.html" != plus.webview.getWebviewById(froms).opener().id && "home.html" != plus.webview.getWebviewById(froms).opener().id) {
				plus.webview.close(plus.webview.getWebviewById(froms).opener(), 'none', 0);
			} else {
				plus.webview.close(plus.webview.getWebviewById(froms), "none", 0);
			}
		}
		if(froms == 'advices.html'){
			plus.webview.hide(plus.webview.getWebviewById('home.html'), "none", 0);
			plus.webview.close(plus.webview.getWebviewById(froms), "none", 0);
		}
		
	}
	if (e.detail.target == "home.html" && e.detail.target == "signin.html") {
		plus.webview.getLaunchWebview().show();
	}
	setTimeout(function() {
		switchTo(e.detail.target, e.detail.title);
	}, 100)
});
var switchTo = function(targetTab, targetTitle) {
	if (targetTab == activeTab) {
		return;
	}
	if (targetTab == "search_frame.html" || targetTab == "home.html") {
		if (targetTab == "search_frame.html") {
			document.getElementById("p5_search_filter_btn_box").classList.remove("mui-hidden");
			document.getElementById('search_box').classList.add("mui-hidden");
			title.classList.remove("mui-hidden");
		} else {
			document.getElementById('search_box').classList.remove("mui-hidden");
			document.getElementById("p5_search_filter_btn_box").classList.add("mui-hidden");
			title.classList.add("mui-hidden");
		}
		plus.webview.getWebviewById('signin.html').hide()
	}
	if (targetTab == 'me.html') {
		if (!getState().token) {
			document.getElementById("p5_search_filter_btn_box").classList.add("mui-hidden");
			title.classList.remove("mui-hidden");
			plus.webview.hide(plus.webview.getWebviewById("signin.html"), "none", 0);
			document.getElementById('search_box').classList.add("mui-hidden");
			plus.webview.hide(plus.webview.getWebviewById(activeTab), 'none', 0);
			setTimeout(function() {
				plus.webview.show(plus.webview.getWebviewById('signin.html'), 'slide-in-right', 300);
			}, 100);
			activeTab = targetTab;
			title.innerHTML = "登录";
			return;
		} else {
			if (targetTab == 'me.html') {
				title.classList.remove("mui-hidden");
				document.getElementById("p5_search_filter_btn_box").classList.add("mui-hidden");
				document.getElementById('search_box').classList.add("mui-hidden");
			}
		}
	}
	if (froms == "product_details.html" || froms == "company_details.html") {
		var classlist = document.body.querySelectorAll('.mui-bar-tab a');
		for (var i = 0; i < classlist.length; i++) {
			classlist[i].classList.remove("mui-active");
		}
	};
	if (targetTab == 'signin.html') {
		if (froms == "confirm_payment.html") {
			var classlist = document.body.querySelectorAll('.mui-bar-tab a');
			for (var i = 0; i < classlist.length; i++) {
				classlist[i].classList.remove("mui-active");
			}
		};
		title.innerHTML = "登录";
		title.classList.remove("mui-hidden");
		document.getElementById('home.html').classList.remove("mui-active");
		document.getElementById('search_box').classList.add("mui-hidden");
		document.getElementById('me.html').classList.add("mui-active");
		plus.webview.show(plus.webview.getLaunchWebview(), "none", 50);
		plus.webview.show(targetTab, 'slide-in-right', 300);
		activeTab = "signin.html";
		return;
	}
	title.innerHTML = targetTitle;
	var classlist = document.body.querySelectorAll('.mui-bar-tab a');
	for (var i = 0; i < classlist.length; i++) {
		classlist[i].classList.remove("mui-active");
	}
	if (targetTab != 'signin.html') {
		document.getElementById(targetTab).classList.add("mui-active");
	}
	if (targetTab == "home.html") {
		plus.webview.hide(targetTab, 'none', 0);
	}
	plus.webview.show(targetTab, 'slide-in-right', 300);
	plus.webview.hide(activeTab, 'slide-in-left', 300);
	activeTab = targetTab;
};