var Regexs = {
	email: (/^[0-9a-z][0-9a-z\-\_\.]+@([0-9a-z][0-9a-z\-]*\.)+[a-z]{2,}$/i), //邮箱  
	phone: (/^0[0-9]{2,3}[2-9][0-9]{6,7}$/), //座机手机号码  
	ydphpne: (/^((13[4-9])|(15[012789])|147|182|187|188)[0-9]{8}$/), //移动手机号码  
	allphpne: (/^((13[0-9])|(15[0-9])|(18[0-9])|(17[0-9]))[0-9]{8}$/), //所有手机号码  
	ltphpne: (/^((13[0-2])|(15[56])|(186)|(145))[0-9]{8}$/), //联通手机号码  
	dxphpne: (/^((133)|(153)|(180)|(189))[0-9]{8}$/), //电信手机号码  
	url: (/^http:\/\/([0-9a-z][0-9a-z\-]*\.)+[a-z]{2,}(:\d+)?\/[0-9a-z%\-_\/\.]+/i), //网址  
	num: (/[^0-9]/), //数字  
	cnum: (/[^0-9a-zA-Z_.-]/),
	photo: (/\.jpg$|\.jpeg$|\.gif$/i), //图片格式  
	row: (/\n/ig),
	tell: (/^(\w-*\.*)+@(\w-?)+(\.\w{2,})+$/),//座机电话
	account: ( /^1\d{10}$/),//验证规则：字母、数字、下划线组成，字母开头，4-16位。
	zipCode: (/^[0-9][0-9]{5}$/), //验证6位数邮编
};