mui.init();
mui.plusReady(function() {
	var addressId = plus.webview.currentWebview().address_Id;
	mui.ajax(BASE_URL + 'address_info', {
		data: {
			token: getState().token,
			address_id: addressId
		},
		dataType: 'json',
		type: 'get',
		timeout: 10000,
		success: function(data) {
			document.getElementById('p5-delivery-name').value = data.address_name;
			document.getElementById('p5-delivery-phone').value = data.cellphone;
			document.getElementById('p5-delivery-input').value = data.address;
			document.getElementById('p5-delivery-zip-code').value = data.postcode;
		},
		error: function(xhr, type, errorThrown) {
			error_code_handle(xhr, type, errorThrown)
		}
	});
});

document.getElementById('p5-address-update-btn').addEventListener('tap', function() {
	var addressId = plus.webview.currentWebview().address_Id;
	var uname = document.getElementById('p5-delivery-name').value;
	var uphone = document.getElementById('p5-delivery-phone').value;
	var address = document.getElementById('p5-delivery-input').value;
	var zipCode = document.getElementById('p5-delivery-zip-code').value;
	var re = /^[0-9][0-9]{5}$/;
	if (uname.trim() != '') {
		if (uphone.trim() != '') {
			if (Regexs.allphpne.test(uphone)) {
				if (re.test(zipCode) && zipCode != '') {
					if (address.trim() != '') {
						mui.ajax(BASE_URL + 'update_address', {
							data: {
								token: getState().token,
								is_default: 1,
								address_id: addressId,
								name: uname,
								cellphone: uphone,
								address: address,
								postcode: zipCode
							},
							dataType: 'json',
							type: 'post',
							timeout: 10000,
							success: function(data) {
								mui.toast("保存成功！");
								mui.fire(plus.webview.getWebviewById('delivery_address.html'), 'updateAddress');
								setTimeout(function() {
									plus.webview.close(plus.webview.currentWebview(), 'slide-out-right', 300)
								}, 1000);
							},
							error: function(xhr, type, errorThrown) {
								error_code_handle(xhr, type, errorThrown)
							}
						});
					} else {
						mui.toast('地址不能为空');
					}
				} else {
					mui.toast("邮政编码格式不正确！");
				}

			} else {
				mui.toast("请输入正确的手机号码..");
			}
		} else {
			mui.toast("请填写联系电话..");
		}
	} else {
		mui.toast("请填写收货人姓名..");
	}
});