var shopping_cart_list_up = function() {
	mui.ajax(BASE_URL + "shopping_cart", {
		data: {
			token: getState().token
		},
		dataType: 'json',
		type: 'get',
		timeout: 15000,
		success: function(data) {
			var table = document.querySelector("#p5-shopping_cart-list-ui");
			table.innerHTML = '';
			if (data.length != 0) {
				for (var i = 0; i < data.length; i++) {
					var li = document.createElement('li');
					li.className = "mui-table-view-cell mui-media";
					li.id = "commodity" + data[i].id;
					li.innerHTML = '<span id="delete_icon" class="mui-icon mui-icon-trash" product_id="' + data[i].id + '"  product_name="' + data[i].name + '"></span>' +
						'<img name="'+ data[i].swipeshow_album +'"  width="70px" height="70px" src="data:image/jpeg;base64,' + data[i].thumbnail + '" product_id="' + data[i].id + '" product_name="' + data[i].name + '" />' +
						'<div class="control_box">' +
						'<a name="'+ data[i].swipeshow_album +'" product_id="' + data[i].id + '" product_name="' + data[i].name + '">' +
						'<p class="mui-ellipsis name">' + data[i].name + '</p>' +
						'<br />' +
						'<p class="mui-ellipsis describe">' + (data[i].description == '' ? '该产品暂时没有描述哦!' : data[i].description) + '</p>' +
						'</a>' +
						'<div class="buttonBox">' +
						'<p id="unit-price">单价:' + data[i].price + '元</p>' +
						'<p class="p_num">' +
						'<button class="reducebtn">&nbsp;-&nbsp;</button>' +
						'<input class="quantity" type="text" value="1" readonly="readonly" />' +
						'<button class="addbtn">&nbsp;+&nbsp;</button>' +
						'</p>' +
						'<p id="subtotal">￥: ' + data[i].price + '元</p>' +
						'</div>' +
						'</div>' +
						'<div class="septal_line"></div>';
					table.appendChild(li);
					mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
				}
			} else {
				var div = document.createElement('div');
				div.align = 'center';
				div.style.height = "10%";
				div.style.width = '100%';
				div.style.marginTop = "50%";
				div.style.fontSize = "1.2em";
				div.style.backgroundColor = '#EFEFF4';
				div.innerHTML = '<span>您的购物车空空如也!</span>';
				table.appendChild(div);
			}
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			//			计算总商品金额并发送到总价栏
			var reg = /(.*[\:\：]\s*)([\+\d\.]+)(\s*元)/g;
			var count = 0;
			var ps = document.querySelectorAll(".p_num");
			for (var i = 0; i < ps.length; i++) {
				count += parseFloat(ps[i].nextSibling.innerText.replace(reg, "$2"));
			}
			updatePrice(count.toFixed(2));
			initEvent();
		},
		error: function(xhr, type, errorThrown) {
			initEvent();
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			error_code_handle(xhr, type, errorThrown)
		}
	});
}
var shopping_cart_list_down = function() {
	mui.ajax(BASE_URL + "shopping_cart", {
		data: {
			token: getState().token
		},
		dataType: 'json',
		type: 'get',
		timeout: 15000,
		success: function(data) {
			var table = document.querySelector("#p5-shopping_cart-list-ui");
			table.innerHTML = '';
			if (data.length != 0) {
				for (var i = data.length; i > 0; i--) {
					var li = document.createElement('li');
					li.className = "mui-table-view-cell mui-media";
					li.id = "commodity" + data[i - 1].id;
					li.innerHTML = '<span id="delete_icon" class="mui-icon mui-icon-trash" product_id="' + data[i - 1].id + '"  product_name="' + data[i - 1].name + '"></span>' +
						'<img name="'+ data[i - 1].swipeshow_album +'" width="70px" height="70px" src="data:image/jpeg;base64,' + data[i - 1].thumbnail + '" product_id="' + data[i - 1].id + '" product_name="' + data[i - 1].name + '" />' +
						'<div class="control_box">' +
						'<a name="'+ data[i - 1].swipeshow_album +'" product_id="' + data[i - 1].id + '" product_name="' + data[i - 1].name + '">' +
						'<p class="mui-ellipsis name">' + data[i - 1].name + '</p>' +
						'	<br />' +
						'<p class="mui-ellipsis describe">' + (data[i - 1].description == '' ? '该产品暂时没有描述哦!' : data[i - 1].description) + '</p>' +
						'</a>' +
						'<div class="buttonBox">' +
						'<p id="unit-price">单价:' + data[i - 1].price + '元</p>' +
						'<p class="p_num">' +
						'<button class="reducebtn">&nbsp;-&nbsp;</button>' +
						'<input class="quantity" type="text" value="1" readonly="readonly" />' +
						'<button class="addbtn">&nbsp;+&nbsp;</button>' +
						'</p>' +
						'<p id="subtotal">￥: ' + data[i - 1].price + '元</p>' +
						'</div>' +
						'</div>' +
						'<div class="septal_line"></div>';
					table.insertBefore(li, table.firstChild);
				}
			} else {
				var div = document.createElement('div');
				div.align = 'center';
				div.style.height = "10%";
				div.style.width = '100%';
				div.style.marginTop = "50%";
				div.style.fontSize = "1.2em";
				div.style.backgroundColor = '#EFEFF4';
				div.innerHTML = '<span>您的购物车空空如也!</span>';
				table.appendChild(div);
			}
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			//			计算总商品金额并发送到总价栏
			var reg = /(.*[\:\：]\s*)([\+\d\.]+)(\s*元)/g;
			var sum = 0;
			var ps = document.querySelectorAll(".p_num");
			for (var i = 0; i < ps.length; i++) {
				sum += parseFloat(ps[i].nextSibling.innerText.replace(reg, "$2"));
			}
			updatePrice(sum.toFixed(2));
			initEvent();
		},
		error: function(xhr, type, errorThrown) {
			initEvent();
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			error_code_handle(xhr, type, errorThrown)
		}
	});
}
mui.init({
	swipeBack: false,
	pullRefresh: {
		container: '#pullrefresh',
		up: {
			callback: shopping_cart_list_up,
		},
		down: {
			callback: shopping_cart_list_down,
		}
	}
});
//设置初始总价
var updatePrice = function(obj) {
	mui.fire(plus.webview.getWebviewById('shopping_cart_frame.html'), 'updataMoney', {
		amount: obj
	});
}
mui(".mui-table-view").on('tap', 'a', function(e) {
	var product_id = this.getAttribute("product_id");
	var product_name = this.getAttribute('product_name');
	pullfreshPage('product_details_frame.html', 'product_details.html', product_name, {
		object_id: 'product_' + product_id,
		from_shopping_cart: true,
		swipeshow_id: this.name
	})
});
mui(".mui-table-view").on('tap', 'img', function(e) {
	var product_id = this.getAttribute("product_id");
	var product_name = this.getAttribute('product_name');
	pullfreshPage('product_details_frame.html', 'product_details.html', product_name, {
		object_id: 'product_' + product_id,
		from_shopping_cart: true,
		swipeshow_id: this.name
	})
});
var initEvent = function() {
		(function($, doc) {
			var reg = /(.*[\:\：]\s*)([\+\d\.]+)(\s*元)/g;
			var reducebtns = doc.querySelectorAll('.reducebtn');
			var addbtn = doc.querySelectorAll('.addbtn');
			for (var i = 0; i < reducebtns.length; i++) {
				reducebtns[i].onclick = function() {
					var me = this,
						txt = me.nextSibling
					pc = me.parentNode;
					var value = parseFloat(txt.value);
					if (txt.value > 1) {
						value = value < 1 ? 1 : value;
						txt.value = (value - 1);
						var price = parseFloat(pc.previousSibling.innerText.replace(reg, '$2')) * txt.value;
						pc.nextSibling.innerText = (pc.nextSibling.innerText.replace(reg, '$1' + price.toFixed(2) + '$3'));
						var sum = 0;
						var ps = document.querySelectorAll(".p_num");
						for (var i = 0; i < ps.length; i++) {
							sum += parseFloat(ps[i].nextSibling.innerText.replace(reg, "$2"));
						}
						updatePrice(sum.toFixed(2));
					}
				}
			};
			for (var i = 0; i < addbtn.length; i++) {
				addbtn[i].onclick = function() {
					var me = this,
						txt = me.previousSibling,
						pc = me.parentNode;
					var value = parseFloat(txt.value);
					txt.value = (value + 1);
					//获取单价并计算小计
					var price = parseFloat(pc.previousSibling.innerText.replace(reg, '$2')) * txt.value;
					//设置小计金额
					pc.nextSibling.innerText = (pc.nextSibling.innerText.replace(reg, '$1' + price.toFixed(2) + '$3'));
					var count = 0;
					var ps = document.querySelectorAll(".p_num");
					for (var i = 0; i < ps.length; i++) {
						count += parseFloat(ps[i].nextSibling.innerText.replace(reg, "$2"));
					}
					updatePrice(count.toFixed(2));
				}
			}
		}(mui, document));
	}
	//列表删除事件.
mui("#p5-shopping_cart-list-ui").on('tap', 'span', function(e) {
	var product_id = this.getAttribute('product_id');
	var removeCommodity = document.querySelector('#' + GetParentElement(this, "LI").id);
	if (confirm("确定要删除此商品!", "确认消息") == 1) {
		var _parentElement = removeCommodity.parentNode;
		var ws = plus.nativeUI.showWaiting("正在删除...");
		mui.ajax(BASE_URL + "delete_shopping_product", {
			data: {
				product_id: product_id,
				token: getState().token
			},
			dataType: "json",
			type: "post",
			timeout: 15000,
			success: function(data) {
				if (_parentElement) {
					_parentElement.removeChild(removeCommodity);
					//计算总商品金额并发送到总价栏
					var reg = /(.*[\:\：]\s*)([\+\d\.]+)(\s*元)/g;
					var count = 0;
					var ps = document.querySelectorAll(".p_num");
					for (var i = 0; i < ps.length; i++) {
						count += parseFloat(ps[i].nextSibling.innerText.replace(reg, "$2"));
					}
					updatePrice(count.toFixed(2));
				}
				ws.close();
				mui.toast("删除成功!");
			},
			error: function(xhr, type, errorThrown) {
				ws.close();
				error_code_handle(xhr, type, errorThrown)
			}
		});
	}
});
//结账按钮事件
window.addEventListener("payment", function(e) {
	var map = new Map();
	var reg = /(.*[\:\：]\s*)([\+\d\.]+)(\s*元)/g;
	var commoditys = document.querySelectorAll("#p5-shopping_cart-list-ui span");
	var cuntent = document.querySelectorAll('#p5-shopping_cart-list-ui input')
	var ps = document.querySelectorAll(".p_num");
	if (ps.length == 0) {
		mui.toast("您的购物车是空的哦!")
		return;
	}
	for (var i = 0; i < commoditys.length; i++) {
		map.put(commoditys[i].getAttribute("product_id"), cuntent[i].value);
	}
	jsonstr = eval(map);
	changePage("confirm_payment.html", true, false, {
		fromData: jsonstr,
		isCreate: true,
		from: "shopping",
	});
});
//获取父类元素
function GetParentElement(oElement, parentTagName) {
	// 注意 parentTagName必须大写
	oElement = oElement.parentNode;
	while (oElement.tagName != null && oElement.tagName != parentTagName) {
		oElement = oElement.parentNode;
	}
	return oElement;
}
window.addEventListener("updateContent", function(e) {
	if (mui.os.ios) {
		if (document.querySelector("#pullrefresh").clientWidth <= 320) {
			var links = document.querySelectorAll("head link");
			var lka = document.querySelector("head");
			for (var i = 0; i < links.length; i++) {
				if (links[i].href.split("/")[links[i].href.split("/").length - 1] != "mui.min.css" && links[i].href.split("/")[links[i].href.split("/").length - 1] != "iconfont.css" && links[i].href.split("/")[links[i].href.split("/").length - 1] != "style_unified.css") {
					links[i].remove();
				} else {
					if (i == 0) {
						var linka = document.createElement('link');
						linka.rel = "stylesheet";
						linka.href = "css/shopping_cart_ios.css";
						linka.type = "text/css";
						lka.appendChild(linka);
					}
				}
			}
		}
	}
	setTimeout(function() {
		mui('#pullrefresh').pullRefresh().pullupLoading();
	}, 100);
});